Accounts & connections · Connect
Fetches an OAuth app.
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys can call it. Keys with the accounts resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
appIdrequired | string |
Example
curl -X GET "https://api.pozy.ai/v1/connect/oauth-apps/66eb857ad97c1a6630d19dc6" \
-H "Authorization: Bearer $POZY_API_KEY"const res = await fetch("https://api.pozy.ai/v1/connect/oauth-apps/66eb857ad97c1a6630d19dc6", {
headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.get(
"https://api.pozy.ai/v1/connect/oauth-apps/66eb857ad97c1a6630d19dc6",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
200 on success
appobjectrequired15 child fields
idstringrequiredplatformstringrequiredlabelstringrequiredclientIdstringrequiredscopeAreasarray of stringrequiredEach item: one of
posting,analytics,comments,messaging.statusstringrequiredOne of
ok,unchecked,invalid.lastCheckedAtstring (date-time)Can be null.
lastErrorstringCan be null.
accountCountintegerrequiredredirectUristring (URL)requiredwebhookobjectCan be null.
4 child fields
callbackUrlstring (URL)requiredverifyTokenstringrequiredobjectstringrequiredOne of
page,instagram.fieldsarray of stringrequired
sharedWebhookUrlstring (URL)Can be null.
hasSlackSigningSecretbooleanslackEventsobjectCan be null.
2 child fields
requestUrlstring (URL)requiredbotEventsarray of stringrequired
createdAtstring (date-time)required
200 response
{
"app": {
"id": "6bfebd43ddc270f6d2c56fc5",
"platform": "instagram",
"label": "string",
"clientId": "6676c044a482bcb231679047",
"scopeAreas": [
"posting"
],
"status": "ok",
"lastCheckedAt": "2026-10-02T09:00:00.000Z",
"lastError": "string",
"accountCount": 42,
"redirectUri": "https://pozy.ai/media/example-1.jpg",
"webhook": {
"callbackUrl": "https://pozy.ai/media/example-1.jpg",
"verifyToken": "string",
"object": "page",
"fields": [
"string"
]
},
"sharedWebhookUrl": "https://pozy.ai/media/example-1.jpg",
"hasSlackSigningSecret": true,
"slackEvents": {
"requestUrl": "https://pozy.ai/media/example-1.jpg",
"botEvents": [
"string"
]
},
"createdAt": "2026-10-02T09:00:00.000Z"
}
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is scoped to other profiles or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Connect
GETGet OAuth connect URLPOSTComplete OAuth callbackGETConnect ads for a platformGETGet Shopify OAuth connect URLPOSTConnect a Shopify store with a custom-app Admin tokenGETGet Google Analytics OAuth connect URLGETList Google Analytics properties for a pending connectPOSTConnect the chosen Google Analytics propertyGETGet HubSpot OAuth connect URLGETGet WordPress.com OAuth connect URLGETGet Wix site install URLGETGet Webflow OAuth URLPOSTConnect Webflow with a site API tokenPOSTConnect self-hosted WordPress with an application passwordPATCHSet TikTok brand identityGETList Facebook pagesPOSTSelect Facebook pageGETList Pages with a linked Instagram accountPOSTSelect the Page whose Instagram account to connectGETList Google Business Profile locationsPOSTSelect Google Business Profile locationGETGet a phone handoffGETGet the saved welcome screenPUTSave the welcome screenGETList your OAuth appsPOSTAdd an OAuth appPATCHUpdate an OAuth appDELRemove an OAuth appPOSTCheck an OAuth app's keysGETGet pending OAuth dataGETList LinkedIn orgsPOSTSelect LinkedIn orgGETList Pinterest boardsPOSTSelect Pinterest boardGETList Snapchat profilesPOSTSelect Snapchat profilePOSTConnect Bluesky accountPOSTConnect an OpenAI Ads accountPOSTConnect a Whop accountPOSTConnect WhatsApp via credentialsGETList numbers for selectionPOSTComplete number selectionPOSTConnect WhatsApp from Embedded SignupGETGet Embedded Signup SDK configPOSTConnect a Discord channelGETList Slack channels for the channel pickerPOSTConnect a Slack channelGETGenerate Telegram codePOSTConnect Telegram directlyPATCHCheck Telegram statusGETRead a Facebook Page's webhook subscriptionPOSTRe-subscribe a Facebook Page to Pozy's webhooksGETList Facebook pagesPUTUpdate Facebook pageGETList LinkedIn orgsPUTSwitch LinkedIn account typeGETList Pinterest boardsPOSTCreate Pinterest boardPUTSet default Pinterest boardGETGet a YouTube video transcriptGETList YouTube playlistsPOSTCreate YouTube playlistPUTSet default YouTube playlistGETList Google Business Profile locationsPUTUpdate Google Business Profile locationPOSTAssign Google Business Profile location to another profileGETList Reddit subredditsPUTSet default subredditGETGet subreddit rulesPOSTVote on a Reddit post or commentGETList subreddit flairsPOSTSet Reddit post flairGETAdmin-consent link for a Microsoft tenant